Subject: bug#29889: 27.0.50; Slow visual selection

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 May 2022 10:16:10 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Fri, 20 May 2022 04:13:09 +0200
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Skimming the rest of the thread, the discussion was about
> > select-active-regions and whether to have it to `only' or t.  It's still
> > t (which, if I understand correctly, was the problematic value).  
> 
> The doc string here is confusing (and wrong?)
> 
> --------
> If non-nil, an active region automatically sets the primary selection.
> If the value is ‘only’, only temporarily active regions (usually made
> by mouse-dragging or shift-selection) set the window selection.
> 
> This takes effect only when Transient Mark mode is enabled.
> --------
> 
> "window selection" should probably be "primary selection"?

Probably what was meant is "window-system's primary selection".

> The "This" is confusing -- is it referring to `only' or to all
> non-nil values?  I think it's the latter.

Yes.

> In any case, I think changing the default to `only' here would make a
> lot of sense, but on the other hand, the t value has been the default
> for a long time, so changing it now might just be too annoying.
> 
> Eli, what do you think?

I have that set to 'only' long ago.  What does that tell you? ;-)